Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## lbg.peer.strategy.scheduling
Enum ConsumptionSchedulingType

    java.lang.Object
      java.lang.Enum<ConsumptionSchedulingType>
          lbg.peer.strategy.scheduling.ConsumptionSchedulingType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ConsumptionSchedulingType>

    public enum ConsumptionSchedulingType

extends java.lang.Enum<ConsumptionSchedulingType>

Author:
  Cyril Briquet

Enum Constant Summary
`AdaptiveMC4ConsumptionScheduling`
`AdaptiveTCoRConsumptionScheduling`
`ConservativeTimeStrideConsumptionScheduling`
`DataConsumptionScheduling`
`FavorsConsumptionScheduling`
`GrantsConsumptionScheduling`
`MC4ConsumptionScheduling`
`MCoSConsumptionScheduling`
`MTBCConsumptionScheduling`
`MTTCConsumptionScheduling`
`NoConsumptionScheduling`
`PerformanceConsumptionScheduling`
`RandomConsumptionScheduling`
`ReliableConsumptionScheduling`
`TCaRConsumptionScheduling`

Method Summary
`abstract ConsumptionSchedulingPolicy` | `createConsumptionSchedulingPolicy(Peer managed_peer, Scheduler scheduler)`
`static java.lang.String` | `getPDPLabel()`
`static java.lang.String[]` | `getPolicyLabels()`
`abstract boolean` | `isBarteringStrategy()`
`static int` | `size()`
`static ConsumptionSchedulingType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ConsumptionSchedulingType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoConsumptionScheduling

    public static final ConsumptionSchedulingType NoConsumptionScheduling

### RandomConsumptionScheduling

    public static final ConsumptionSchedulingType RandomConsumptionScheduling

### DataConsumptionScheduling

    public static final ConsumptionSchedulingType DataConsumptionScheduling

### AdaptiveMC4ConsumptionScheduling

    public static final ConsumptionSchedulingType AdaptiveMC4ConsumptionScheduling

### AdaptiveTCoRConsumptionScheduling

    public static final ConsumptionSchedulingType AdaptiveTCoRConsumptionScheduling

### ConservativeTimeStrideConsumptionScheduling

    public static final ConsumptionSchedulingType ConservativeTimeStrideConsumptionScheduling

### FavorsConsumptionScheduling

    public static final ConsumptionSchedulingType FavorsConsumptionScheduling

### GrantsConsumptionScheduling

    public static final ConsumptionSchedulingType GrantsConsumptionScheduling

### MC4ConsumptionScheduling

    public static final ConsumptionSchedulingType MC4ConsumptionScheduling

### MCoSConsumptionScheduling

    public static final ConsumptionSchedulingType MCoSConsumptionScheduling

### MTBCConsumptionScheduling

    public static final ConsumptionSchedulingType MTBCConsumptionScheduling

### MTTCConsumptionScheduling

    public static final ConsumptionSchedulingType MTTCConsumptionScheduling

### PerformanceConsumptionScheduling

    public static final ConsumptionSchedulingType PerformanceConsumptionScheduling

### ReliableConsumptionScheduling

    public static final ConsumptionSchedulingType ReliableConsumptionScheduling

### TCaRConsumptionScheduling

    public static final ConsumptionSchedulingType TCaRConsumptionScheduling

Method Detail

### values

    public static final ConsumptionSchedulingType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ConsumptionSchedulingType c : ConsumptionSchedulingType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ConsumptionSchedulingType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### createConsumptionSchedulingPolicy

    public abstract ConsumptionSchedulingPolicy createConsumptionSchedulingPolicy(Peer managed_peer,
                                                                                  Scheduler scheduler)
                                                                           throws GridException

  Throws:
    `GridException`

### isBarteringStrategy

    public abstract boolean isBarteringStrategy()

### getPDPLabel

    public static final java.lang.String getPDPLabel()

### size

    public static int size()

### getPolicyLabels

    public static java.lang.String[] getPolicyLabels()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.